package de.ozgcloud.archive.bescheid;

import org.mapstruct.AnnotateWith;
import org.mapstruct.Mapper;
import org.mapstruct.NullValueCheckStrategy;
import org.mapstruct.ReportingPolicy;
import org.springframework.stereotype.Component;

import de.ozgcloud.archive.ArchiveManagerConfiguration;
import de.ozgcloud.common.binaryfile.FileId;
import de.ozgcloud.document.GrpcDocument;

@Mapper(unmappedTargetPolicy = ReportingPolicy.ERROR, nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
@AnnotateWith(value = Component.class, elements = @AnnotateWith.Element(strings = ArchiveManagerConfiguration.DOCUMENT_MAPPER_NAME))
interface DocumentMapper {

	default FileId fromGrpc(GrpcDocument grpcDocument) {
		return FileId.from(grpcDocument.getFileId());
	}
}
