package de.ozgcloud.archive.common.binaryfile;

import java.io.OutputStream;
import java.util.List;
import java.util.stream.Stream;

import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;

import de.ozgcloud.archive.ArchiveManagerConfiguration;
import de.ozgcloud.archive.file.OzgFile;
import de.ozgcloud.common.binaryfile.FileId;
import lombok.RequiredArgsConstructor;

@Service(ArchiveManagerConfiguration.BINARY_FILE_SERVICE_NAME) // NOSONAR
@RequiredArgsConstructor
public class BinaryFileService {

	@Qualifier(ArchiveManagerConfiguration.BINARY_FILE_REMOTE_SERVICE_NAME) // NOSONAR
	private final BinaryFileRemoteService binaryFileRemoteService;

	public Stream<OzgFile> getFiles(List<FileId> attachments) {
		return binaryFileRemoteService.getFiles(attachments);
	}

	public OzgFile getFile(FileId fileId) {
		return binaryFileRemoteService.getFile(fileId);
	}

	public void writeFileContent(FileId fileId, OutputStream outputStream) {
		binaryFileRemoteService.writeFileContent(fileId, outputStream);
	}

}
