package de.ozgcloud.archive.common.callcontext;

import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Component;

import de.ozgcloud.apilib.common.callcontext.CallContext;
import de.ozgcloud.apilib.common.callcontext.OzgCloudCallContextProvider;
import de.ozgcloud.archive.ArchiveManagerConfiguration;
import lombok.RequiredArgsConstructor;

@Component(ArchiveManagerConfiguration.CALL_CONTEXT_PROVIDER_NAME) // NOSONAR
@RequiredArgsConstructor
public class CallContextProvider implements OzgCloudCallContextProvider {

	@Qualifier(ArchiveManagerConfiguration.CURRENT_USER_SERVICE_NAME) // NOSONAR
	private final CurrentUserService currentUserService;
	@Qualifier(ArchiveManagerConfiguration.CALL_CONTEXT_MAPPER_NAME) // NOSONAR
	private final CallContextMapper mapper;

	@Override
	public CallContext provideContext() {
		return mapper.toOzgCloudCallContext(currentUserService.getUser());
	}
}
