package de.ozgcloud.archive.common.command;

import java.util.Optional;
import java.util.stream.Stream;

import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;

import de.ozgcloud.archive.ArchiveManagerConfiguration;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;

@Service(ArchiveManagerConfiguration.COMMAND_SERVICE_NAME) // NOSONAR
@RequiredArgsConstructor
public class CommandService {

	@Qualifier(ArchiveManagerConfiguration.COMMAND_REMOTE_SERVICE_NAME) // NOSONAR
	private final CommandRemoteService remoteService;

	public Stream<ArchiveManagerCommand> findFinishedCommands(@NonNull String vorgangId) {
		return remoteService.findCommands(vorgangId, Optional.of("FINISHED"), Optional.empty());
	}

}
