package de.ozgcloud.archive.kommentar;

import java.util.Collection;
import java.util.Collections;
import java.util.List;
import java.util.Objects;

import org.mapstruct.Mapper;

import de.ozgcloud.common.binaryfile.FileId;

@Mapper
interface AttachmentMapper {

	default List<FileId> mapAttachments(Object attachments) {
		if (Objects.isNull(attachments)) {
			return Collections.emptyList();
		}

		if (attachments instanceof Collection<?> attachmentList) {
			return attachmentList.stream().map(String::valueOf).map(FileId::from).toList();
		}
		return Collections.singletonList(FileId.from((String) attachments));
	}
}
