package de.ozgcloud.archive.bescheid;

import java.util.List;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.common.binaryfile.FileId;

public class BescheidTestFactory {
	public static final String ID = UUID.randomUUID().toString();
	public static final BescheidStatus STATUS = BescheidStatus.SENT;
	public static final boolean BEWILLIGT = true;
	public static final String BESCHEID_DOCUMENT = UUID.randomUUID().toString();
	public static final List<FileId> ATTACHMENTS = List.of(FileId.from(UUID.randomUUID().toString()), FileId.from(UUID.randomUUID().toString()));
	public static final String NACHRICHT_TEXT = LoremIpsum.getInstance().getWords(10);
	public static final String NACHRICHT_SUBJECT = LoremIpsum.getInstance().getWords(3);
	public static final SendBy SEND_BY = SendBy.MANUAL;
	public static final SentInfo SENT_INFO = SentInfoTestFactory.create();

	public static Bescheid.BescheidBuilder createBuilder() {
		return Bescheid.builder()
				.id(ID)
				.status(STATUS)
				.bewilligt(BEWILLIGT)
				.bescheidDocument(BESCHEID_DOCUMENT)
				.attachments(ATTACHMENTS)
				.nachrichtText(NACHRICHT_TEXT)
				.nachrichtSubject(NACHRICHT_SUBJECT)
				.sendBy(SEND_BY)
				.sentInfo(SENT_INFO);
	}

	public static Bescheid create() {
		return createBuilder().build();
	}
}
