package de.ozgcloud.archive.bescheid;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;
import org.mockito.InjectMocks;
import org.mockito.Mock;

import de.ozgcloud.archive.common.binaryfile.FileIdMapper;
import de.ozgcloud.common.binaryfile.FileId;

public class DocumentMapperTest {

	@Mock
	private FileIdMapper fileIdMapper;
	@InjectMocks
	private final DocumentMapper mapper = Mappers.getMapper(DocumentMapper.class);

	@Nested
	class TestFromGrpc {

		@Test
		void shouldReturnFileId() {
			var fileId = map();

			assertThat(fileId).hasToString(BescheidTestFactory.BESCHEID_DOCUMENT);
		}

		private FileId map() {
			return mapper.fromGrpc(GrpcDocumentTestFactory.create());
		}
	}
}
