package de.ozgcloud.archive.common;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;
import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.NullAndEmptySource;
import org.mapstruct.factory.Mappers;

class TimeMapperTest {

	private final TimeMapper mapper = Mappers.getMapper(TimeMapper.class);

	@ParameterizedTest
	@NullAndEmptySource
	void shouldReturnNullIfStringIsBlank(String dateTimeStr) {
		var result = mapper.parseString(dateTimeStr);

		assertThat(result).isNull();
	}

	@Test
	void shouldReturnDateTime() {
		var dateTimeStr = "2021-01-10T10:30:00Z";

		var result = mapper.parseString(dateTimeStr);

		assertThat(result).isEqualTo(dateTimeStr);
	}
}
