package de.ozgcloud.archive.common.command;

import static org.mockito.Mockito.*;

import java.util.Optional;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Spy;

import de.ozgcloud.archive.vorgang.VorgangWithEingangTestFactory;

class CommandServiceTest {
	@Spy
	@InjectMocks
	private CommandService service;
	@Mock
	private CommandRemoteService remoteService;

	@Nested
	class TestFindFinishedCommands {

		private static final String VORGANG_STATUS_FINISHED = "FINISHED";

		@Test
		void shouldCallRemoteService() {
			service.findFinishedCommands(VorgangWithEingangTestFactory.ID);

			verify(remoteService).findCommands(VorgangWithEingangTestFactory.ID, Optional.of(VORGANG_STATUS_FINISHED), Optional.empty());
		}
	}
}
