/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.archive.postfach;

import static de.ozgcloud.archive.postfach.PostfachMailTestFactory.*;

import java.util.List;

import de.ozgcloud.nachrichten.postfach.GrpcDirection;
import de.ozgcloud.nachrichten.postfach.GrpcFindPostfachMailsResponse;
import de.ozgcloud.nachrichten.postfach.GrpcPostfachMail;

class GrpcPostfachMailTestFactory {

	static GrpcPostfachMail create() {
		return createBuilder().build();
	}

	static GrpcPostfachMail.Builder createBuilder() {
		return GrpcPostfachMail.newBuilder()
				.setId(ID)
				.setCreatedAt(CREATED_AT_STR)
				.setCreatedBy(CREATED_BY)
				.setSentAt(SENT_AT_STR)
				.setDirection(GrpcDirection.OUT)
				.setMailBody(MAIL_BODY)
				.addAttachment(ATTACHMENT.toString());
	}

	static GrpcFindPostfachMailsResponse createFindPostfachMailsResponse() {
		return GrpcFindPostfachMailsResponse.newBuilder()
				.addAllMails(List.of(create()))
				.build();
	}
}