package de.ozgcloud.archive.vorgang;

import java.util.List;

import de.xoev.xdomea.AntragsdatenGroupType;
import de.xoev.xdomea.AntragsdatenItemType;
import de.xoev.xdomea.AntragsdatenMultiValueFieldType;
import de.xoev.xdomea.AntragsdatenSingleValueFieldType;
import de.xoev.xdomea.DatatypeType;

public class AntragsdatenItemTypeTestFactory {

	public static final String KEY_STRING = "string";
	public static final String KEY_MAP = "map";
	public static final String KEY_COLLECTION = "collection";
	public static final String VALUE_STRING = "value1";
	public static final Integer VALUE_INTEGER = 1;

	public static AntragsdatenSingleValueFieldType createSingleValueField() {
		var antragsdatenItemType = new AntragsdatenSingleValueFieldType();
		antragsdatenItemType.setType(DatatypeType.STRING);
		antragsdatenItemType.setName(KEY_STRING);
		antragsdatenItemType.setValue(VALUE_STRING);
		return antragsdatenItemType;
	}

	public static AntragsdatenMultiValueFieldType createMultiValueField() {
		var antragsdatenItemType = new AntragsdatenMultiValueFieldType();
		antragsdatenItemType.setType(DatatypeType.INTEGER);
		antragsdatenItemType.setName(KEY_COLLECTION);
		antragsdatenItemType.getValue().add(VALUE_INTEGER);
		return antragsdatenItemType;
	}

	public static AntragsdatenGroupType createGroup() {
		var antragsdatenGroupType = new AntragsdatenGroupType();
		antragsdatenGroupType.setName(KEY_MAP);

		antragsdatenGroupType.getItem().addAll(createAntragsdatenItemTypes());

		return antragsdatenGroupType;
	}

	public static List<AntragsdatenItemType> createAntragsdatenItemTypes() {
		return List.of(createMultiValueField(), createSingleValueField());
	}
}
