package de.ozgcloud.archive.vorgang;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.vorgang.vorgang.GrpcAntragsteller;
import de.ozgcloud.vorgang.vorgang.GrpcFormData;
import de.ozgcloud.vorgang.vorgang.GrpcFormField;

public class GrpcAntragstellerTestFactory {
	public final static String ANREDE = AntragstellerTestFactory.ANREDE;
	public final static String NACHNAME = AntragstellerTestFactory.NACHNAME;
	public final static String VORNAME = AntragstellerTestFactory.VORNAME;
	public final static String GEBURTSDATUM = AntragstellerTestFactory.GEBURTSDATUM_STR;
	public final static String GEBURTSORT = LoremIpsum.getInstance().getCity();
	public final static String GEBURTSNAME = LoremIpsum.getInstance().getName();
	public final static String FIRMA_NAME = LoremIpsum.getInstance().getName();
	public final static String EMAIL = LoremIpsum.getInstance().getEmail();
	public final static String TELEFON = LoremIpsum.getInstance().getPhone();
	public final static String STRASSE = LoremIpsum.getInstance().getWords(2);
	public final static String HAUSNUMMER = LoremIpsum.getInstance().getZipCode();
	public final static String PLZ = AntragstellerTestFactory.PLZ;
	public final static String ORT = LoremIpsum.getInstance().getCity();

	public final static GrpcFormData OTHER_DATA = GrpcFormData.newBuilder()
			.addField(GrpcFormField.newBuilder()
					.setName(AntragstellerTestFactory.OTHER_DATA_KEY)
					.setValue(AntragstellerTestFactory.OTHER_DATA_VALUE).build())
			.build();

	public static GrpcAntragsteller create() {
		return createBuilder().build();
	}

	public static GrpcAntragsteller.Builder createBuilder() {
		return GrpcAntragsteller.newBuilder()
				.setAnrede(ANREDE)
				.setFirmaName(FIRMA_NAME)
				.setGeburtsdatum(GEBURTSDATUM)
				.setNachname(NACHNAME)
				.setVorname(VORNAME)
				.setGeburtsname(GEBURTSNAME)
				.setGeburtsort(GEBURTSORT)
				.setEmail(EMAIL)
				.setTelefon(TELEFON)
				.setStrasse(STRASSE)
				.setHausnummer(HAUSNUMMER)
				.setPlz(PLZ)
				.setOrt(ORT)
				.setOtherData(OTHER_DATA);
	}
}
