package de.ozgcloud.archive.vorgang;

import java.time.ZonedDateTime;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.archive.common.XDomeaTestUtils;
import de.ozgcloud.common.test.TestUtils;

public class VorgangWithEingangTestFactory {

	public static final String ID = XDomeaTestUtils.createMongoDbObjectId();
	public static final String NUMMER = UUID.randomUUID().toString();
	public static final String AKTENZEICHEN = UUID.randomUUID().toString();
	public static final String NAME = LoremIpsum.getInstance().getWords(5);
	public static final ZonedDateTime CREATED_AT = ZonedDateTime.now();

	public static VorgangWithEingang create() {
		return createBuilder().build();
	}

	public static VorgangWithEingang.VorgangWithEingangBuilder createBuilder() {
		return VorgangWithEingang.builder()
				.id(ID)
				.name(NAME)
				.nummer(NUMMER)
				.aktenzeichen(AKTENZEICHEN)
				.createdAt(CREATED_AT)
				.eingang(EingangTestFactory.create());
	}

	public static String buildMinimalVorgangAsXml() {
		return TestUtils.loadTextFile("xml-templates/vorgang.xml.template");
	}
}
